Cancel booking
API Reference
POST
/api/v1/booking/cancelcancel booking hotel
Document History
| version | publish date | Description |
|---|---|---|
| 1.0.0 | 25-10-2026 | Intial Specification |
Header Parameters
Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}
Request Body
bookingRef
required
string
Booking number from Booking API.
only A-Z and 0-9
only A-Z and 0-9
simulateFlag
required
boolean
Simulate flag
Example: true=simulate cancel transaction, false=cancel transaction
reason
string [aA-zZ],'_'
Cancellation reason (require if simutlateFlag=false) more information see in FAQ
Example: "CHANGE_CHECK_IN_DATE" or "CHANGE_NUMBER" or "FOUND_ALTERNATIVE_HOTEL_OPTIONS" or "PERSONAL_REASONS" or "MULTIPLE_BOOKINGS_SAME_PERIOD" or "VISA_ISSUES" or "CANCELLATION_BY_PROPERTY" and If OTHER is selected, please provide a custom cancellation reason using alphabetic characters and spaces only.
endUserIpAddress
required
string
IP address of end user
Response Schema
ref
required
string
Reference transaction
status
required
boolean
Status flag
code
required
string
Error code
Example: 200 / 400...
message
required
string
Error message
data
required
object
Data response object
cancelFee
required
number
Cancel fee amount
refundAmount
required
number
Refund amount
currency
required
string
Currency
Responses
| Status Code | Description |
|---|---|
| 200 | SUCCESS |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not found |
| 500 | Internal server error |